Get coupon association
curl --request GET \
--url https://us.api.flexprice.io/v1/coupons/associations/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://us.api.flexprice.io/v1/coupons/associations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://us.api.flexprice.io/v1/coupons/associations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coupon": {
"amount_off": "<string>",
"coupon_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"currency": "<string>",
"duration_in_periods": 123,
"environment_id": "<string>",
"id": "<string>",
"max_redemptions": 123,
"metadata": {},
"name": "<string>",
"percentage_off": "<string>",
"redeem_after": "<string>",
"redeem_before": "<string>",
"rules": {},
"tenant_id": "<string>",
"total_redemptions": 123,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"coupon_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"start_date": "2023-11-07T05:31:56Z",
"subscription_id": "<string>",
"subscription_line_item_id": "<string>",
"subscription_phase_id": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}Coupon Associations
Get coupon association
Get a single coupon association by ID. Coupon associations are created and removed via the subscription modify API.
GET
/
coupons
/
associations
/
{id}
Get coupon association
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Coupon Association ID
Response
OK
Show child attributes
Show child attributes
Optional
Show child attributes
Show child attributes
Available options:
published, deleted, archived Mandatory
Optional
Optional
⌘I

